/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.FacebookSummary = Class.create(Photos.Model.Summary, {
	getTitle: function() {
		return $L("Facebook photos");
	},

	getHeadline: function() {
		return $L("My photo albums");
	},

	getHeadlineImages: function() {
		return [];
	},

	getHighlightTitle: function() {
		return $L("Friends' photo highlights");
	},

	getMoreText: function() {
		return ""; //$L("All friends' photos");
	},

	getThumbsModel: function(item) {
		return new Photos.Model.FacebookThumbs(this.uid)
	},

	requestHighlights: function(done) {
		done.curry([
			{albumName: "friend 1 highlights"},
			{albumName: "friend 2 highlights"},
			{albumName: "enemy 3 highlights"}
		]).defer();
	},

	headline: function(callback) {
		callback('albums', {
			model: new Photos.Model.FacebookAlbums("facebook")
		});
	},

	more: function(callback) {
		// the default view is friends, we are checking
		// out the general summary and more was tapped,
		// switch to the friend scene.
		callback('friends', {
			model: new Photos.Model.FacebookFriends("facebook")
		});
	}
});

